Contributors mailing list archives

contributors@odoo-community.org

Re: Install development version of addon with pip

by
Acsone SA, Stéphane Bidoul
- 28/12/2016 18:36:48
On Wed, Dec 28, 2016 at 4:52 PM, Sylvain GARANCHER (SYLEAM) <sylvain.garancher@syleam.fr> wrote:
Maybe a requirement on the pip/setuptools/other version could be added in setuptools_odoo ?

That's not so easy unfortunately. Actually, setuptools-odoo does not depend on pip (only setuptools).
I think the problem Ronald encoutered was due to that pip version not changing to the setup subdirectory before running setup.py.
Running "setup.py develop" would probably have worked.

I updated the slides to recommend pip>= 9.0.1, which is the version that incorporates the half dozen patches I submitted to make the whole Odoo dev workflow work.

Have nice holidays!

-sbi